> ## Documentation Index
> Fetch the complete documentation index at: https://docs.deasylabs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Status

> Get the status of a task by job ID.

## Request Body

| Field    | Type  | Description                                      |
|----------|-------|--------------------------------------------------|
| `job_id` | `str` | The unique identifier for the job to check.      |

## Response

- **200**: Task status retrieved successfully  
    - Returns: `{ "percent_complete": float, "tags_created": Optional[int], "status": str }`
- **404**: Job ID not found

## Example

```json
{
  "job_id": "abc123-def456-ghi789"
}
```



## OpenAPI

````yaml /deasy-openapi-stainless.yml post /progress_tracker/task_status
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: /rest/unstructured
security: []
paths:
  /progress_tracker/task_status:
    post:
      tags:
        - Task Tracking
      summary: Get Status
      description: |-
        Get the status of a task by job ID.

        ## Request Body

        | Field    | Type  | Description                                      |
        |----------|-------|--------------------------------------------------|
        | `job_id` | `str` | The unique identifier for the job to check.      |

        ## Response

        - **200**: Task status retrieved successfully  
            - Returns: `{ "percent_complete": float, "tags_created": Optional[int], "status": str }`
        - **404**: Job ID not found

        ## Example

        ```json
        {
          "job_id": "abc123-def456-ghi789"
        }
        ```
      operationId: get_task_status_route_progress_tracker_task_status_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TaskStatusRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskStatusResponse'
        '403':
          description: Missing token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '429':
          description: Too many requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
        '500':
          description: >-
            Internal Server Error. An unexpected error occurred while processing
            the request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
      security:
        - BasicAuth: []
        - BearerAuth: []
          UserIdAuth: []
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from unstructured import UnstructuredClient

            client = UnstructuredClient(
                username=os.environ.get("UNSTRUCTURED_USERNAME"),  # This is the default and can be omitted
                password=os.environ.get("UNSTRUCTURED_PASSWORD"),  # This is the default and can be omitted
            )
            response = client.task_status.get_status(
                job_id="job_id",
            )
            print(response.percent_complete)
        - lang: JavaScript
          source: >-
            import UnstructuredClient from 'unstructured-sdk';


            const client = new UnstructuredClient({
              authMethod: 'My Auth Method',
              username: process.env['UNSTRUCTURED_USERNAME'], // This is the default and can be omitted
              password: process.env['UNSTRUCTURED_PASSWORD'], // This is the default and can be omitted
            });


            const response = await client.taskStatus.getStatus({ job_id:
            'job_id' });


            console.log(response.percent_complete);
components:
  schemas:
    TaskStatusRequest:
      properties:
        job_id:
          type: string
          title: Job Id
      type: object
      required:
        - job_id
      title: TaskStatusRequest
    TaskStatusResponse:
      properties:
        percent_complete:
          type: number
          title: Percent Complete
        status:
          $ref: '#/components/schemas/JobStatus'
      type: object
      required:
        - percent_complete
        - status
      title: TaskStatusResponse
    HTTPError:
      properties:
        detail:
          type: string
          title: Detail
      type: object
      required:
        - detail
      title: HTTPError
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    JobStatus:
      type: string
      enum:
        - in_progress
        - completed
        - aborted
        - failed
      title: JobStatus
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BasicAuth:
      type: http
      scheme: basic
    BearerAuth:
      type: http
      scheme: bearer
    UserIdAuth:
      type: apiKey
      in: header
      name: X-User-ID

````